Subject: bug#25156: 26.0.50; `describe-text-properties' hangs with 100% cpu usage when property is a char-table

From: [email-masked]
Date: Sat, 10 Dec 2016 11:40:31 -0500

# not an Emacs bug
tags 25156 notabug
close 25156
quit

Peter Wang <[email-masked]> writes:

> I found the culprit was this line in my configuration:
>
> (setq lisp-indent-function 'common-lisp-indent-function)
>
> and common-lisp-indent-function is provided by 
>
> `.emacs.d/elpa/slime-20161109.640/contrib/slime-cl-indent.el'
>
> I think it is a wrong configuration. 
>
> something in common-lisp-indent-function cause the huge slowing down.

Okay, looks like a problem with slime-cl-indent.el then.  Using Emacs'
common-lisp-indent-function (from lisp/emacs-lisp/cl-indent.el) I get
around 4 seconds, so it's slower but not a hang.

>  >
>  > (benchmark 1 '(describe-variable 'lisp-mode-syntax-table)) ;=> "Elapsed time: 1.272053s (0.161946s in 6 GCs)"
>  > (benchmark 1 '(describe-property-list (list 'syntax-table lisp-mode-syntax-table))) ;=> "Elapsed time: 1.165824s (0.139516s in 5 GCs)"